import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: 'ID',
    prop: 'id',
    width: 100,
  },
  {
    label: '模板编号',
    prop: 'number',
  },
  {
    label: '模板名称',
    prop: 'title',
  },
  {
    label: '模板编码',
    prop: 'code',
  },
  {
    label: '模板类型',
    prop: 'type',
    render(record) {
      let typeText = ''
      switch (record.row.type) {
        case 1:
          typeText='阿里云'
          break;
        case 2:
          typeText='腾讯云'
          break;
        case 3:
          typeText='华为云'
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    label: '模板内容',
    prop: 'content',
    width: 350,
  },
  {
    label: '创建人',
    prop: 'createUser',
  },
  {
    label: '创建时间',
    prop: 'createTime',
    width: 180,
  },
];
